print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local chilipepperHudFile = "Paletten/hud_fill_chilipepper.dds"
	local chilipepperHudFileSmall = "Paletten/hud_fill_chilipepper_small.dds"
	
    local chilipepperFilType = g_fillTypeManager:addFillType("CHILIPEPPER", g_i18n:getText("chilipepper"), true, pricebeer * 1.8, 0.00045, math.rad(10), chilipepperHudFile, chilipepperHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haschilipepper=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haschilipepper=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CHILIPEPPER" then
		haschilipepper=true
	end;
		
end;

		if hasmaize and not haschilipepper then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CHILIPEPPER")
		local price = g_fillTypeManager:getFillTypeByName("CHILIPEPPER").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CHILIPEPPER")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)